SDL_SetPointerProperty(3)

NAME
SDL_SetPointerProperty - Set a pointer property in a group of properties.

HEADER FILE
Defined in SDL3/SDL_properties.h

SYNOPSIS
#include "SDL3/SDL.h"

bool SDL_SetPointerProperty(SDL_PropertiesID props, const char *name, void *value);

FUNCTION PARAMETERS

props
    the properties to modify.

name
    the name of the property to modify.

value
    the new value of the property, or NULL to delete the property.

RETURN VALUE
Returns true on success or false on failure; call

SDL_GetError () for more information.

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
•(3), SDL_GetPointerProperty(3), •(3), SDL_HasProperty(3), •(3), SDL_SetBooleanProperty(3), •(3), SDL_SetFloatProperty(3), •(3), SDL_SetNumberProperty(3), •(3), SDL_SetPointerPropertyWithCleanup(3), •(3), SDL_SetStringProperty(3)